Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d
Class DragEvent3D

    java.lang.Object
      java.util.EventObject
          de.grogra.pf.ui.event.EditEvent
              de.grogra.pf.ui.event.InputEditEvent
                  de.grogra.pf.ui.event.MouseEditEvent
                      de.grogra.pf.ui.event.DragEvent
                          de.grogra.imp3d.DragEvent3D

All Implemented Interfaces:
  Context, java.io.Serializable, java.lang.Cloneable

    public class DragEvent3D

extends DragEvent

A `DragEvent3D` represents a drag event in a 3D view.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Field Summary
`Vector3d` | `direction` The direction of the mouse ray.
`Point3d` | `origin` The origin of the mouse ray.

Fields inherited from class de.grogra.pf.ui.event.DragEvent
`DRAGGING_CONTINUED, DRAGGING_FINISHED, DRAGGING_STARTED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DragEvent3D(Point3d origin, Vector3d direction)`

Method Summary
`protected java.lang.String` | `paramString()`

Methods inherited from class de.grogra.pf.ui.event.DragEvent
`draggingContinued, draggingFinished, draggingStarted, getDeltaX, getDeltaY, getEventType, setDragData`

Methods inherited from class de.grogra.pf.ui.event.MouseEditEvent
`getClickCount, getModifiers, getX, getY, isAltDown, isControlDown, isMetaDown, isShiftDown, set, set`

Methods inherited from class de.grogra.pf.ui.event.InputEditEvent
`consume, isConsumed`

Methods inherited from class de.grogra.pf.ui.event.EditEvent
`clone, getComponent, getPanel, getWindow, getWorkbench, set, set, set, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### direction

    public final Vector3d direction

  The direction of the mouse ray.

  See Also:
    `origin`

### origin

    public final Point3d origin

  The origin of the mouse ray. `origin` and `direction` describe a mouse ray in world coordinates emanating at the camera and going through the point to which the mouse points. `position` is not the position on the surface of an intersected object.

Constructor Detail

### DragEvent3D

    public DragEvent3D(Point3d origin,
                       Vector3d direction)

Method Detail

### paramString

    protected java.lang.String paramString()

  Overrides:
    `paramString` in class `DragEvent`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD